[CI] enabled boot from +brass pill

This commit is contained in:
Joe Bryan 2019-02-07 11:40:29 -05:00
parent 36de703a70
commit 152f1294b7
5 changed files with 23 additions and 6 deletions

View File

@ -9,13 +9,18 @@ node_js:
# email: false
before_install:
# try to get pill early, so configuration errors will be quickly caught
#
- cd .travis
- bash get-brass-pill.sh
- cd ..
- wget https://github.com/ninja-build/ninja/releases/download/v1.8.2/ninja-linux.zip
- unzip ninja-linux.zip
- sudo mv ninja /usr/bin/
install:
# pwd: ~/urbit
- pip3 install --user -I meson==0.44.1
- pip3 install --user -I meson
script:
- meson . ./build --buildtype=debugoptimized -Dgc=true -Dprof=true

15
.travis/get-brass-pill.sh Normal file
View File

@ -0,0 +1,15 @@
#!/bin/bash
set -euo pipefail
set -x
if [ ! -f ./pin-brass-pill.txt ]; then
echo "missing .travis/pin-brass-pill.txt"
exit 1
fi
PILL_NAME=$(cat ./pin-brass-pill.txt | tr -d [:space:])
wget https://bootstrap.urbit.org/$PILL_NAME -O brass.pill && exit 0
echo "$PILL_NAME download failed"
exit 1

View File

@ -1 +0,0 @@
6d6ec85d6aa9200d366d0998326726ef1965d092

View File

@ -0,0 +1 @@
urbit-0.7.2.brass.pill

View File

@ -6,10 +6,7 @@ var Urbit = runner.Urbit;
var ERROR = runner.ERROR;
var actions = runner.actions
var hash = fs.readFileSync('./pin-arvo-commit.txt', 'utf-8').slice(0, 10)
var pill = 'https://bootstrap.urbit.org/git-' + hash + '.pill'
var args = ['-u', pill, '-cgPSF', 'zod', 'zod'];
var args = ['-cgPSF', 'zod', '-B', 'brass.pill', 'zod'];
var urbit = new Urbit(args);
// vere hangs (always?) with run in travis-ci with -P